#include<iostream>
using namespace std;

int main(){
	int a,b,x,y;
//	cout<<"unesi krajni rezultat "<<endl;
	cin>>a>>b;
//	cout<<"unesi rezultat na poluvremenu "<<endl;
	cin>>x>>y;
	if(x==a && y==b){
		cout<<"nijedan";
	}
	else if(x==a && y<b){
		cout<<"drugi";
	}
	else if(x<a && y<b){
		cout<<"?";
	}
	else if(x<a && y==b){
		cout<<"prvi";
	}
}